<?php 

/*
Plugin Name: eSMS Notify
Plugin URI: http://rumi.pro/esms
Description: SMS Notification For Woocommerce
Version: 1.0.0
Author URI: http:/rumi.pro
*/
require_once 'vendor/autoload.php';
require_once 'functions/settings.php';

// Send SMS

function eSMSsendSMS($to,$text){
	$cred = get_option('eSMS_settings');
	$endpoint = "https://login.esms.com.bd/api/v3/sms/send";
	$perm = array(
		  'recipient' =>$to,
		  'sender_id' =>$cred['sender_id'],
		  'type'      => 'plain',
		  'message'   =>$text

	);
	$args = array(
    'headers' => array(
    	"Accept: application/json",
        'Authorization' => 'Bearer ' .$cred['api_token'],
        "Content-Type: application/json",

       


    ),
    'body' => json_encode($perm)
);

	$response = wp_remote_post($endpoint,$args);
	$response_body = json_decode(wp_remote_retrieve_body( $response ));
	$response_code = wp_remote_retrieve_response_code( $response );
	if ($response_code == 200) {
		
		return  $response_body->status;
	}else{
		return __('false');
	}



}

// Sned SMS To Admin after Place New order

add_action( 'woocommerce_thankyou', 'eSmsNewOrderNotification' );

/**
 * Function for `woocommerce_thankyou` action-hook.
 * 
 * @param  $order_id 
 *
 * @return void
 */
function eSmsNewOrderNotification( $order_id ){
		$cred = get_option('eSMS_settings');

	    eSMSsendSMS($cred['admin_phone'],__("You Have recived a New Order With Order ID # $order_id"));
}


